# window.h File Reference

`#include <gwenhywfar/misc.h>`
`#include <gwenhywfar/inherit.h>`
`#include <gwenhywfar/ui/widget.h>`

Go to the source code of this file.

## Defines

#define | GWEN_WINDOW_FLAGS_HSLIDER 0x00020000
#define | GWEN_WINDOW_FLAGS_TITLE 0x00010000
#define | GWEN_WINDOW_FLAGS_VSLIDER 0x00040000

## Functions

GWEN_WIDGET * | GWEN_Window_GetViewPort (GWEN_WIDGET *w)
GWEN_WIDGET * | GWEN_Window_new (GWEN_WIDGET *parent, GWEN_TYPE_UINT32 flags, const char *name, const char *title, int x, int y, int width, int height)

## Define Documentation

#define GWEN_WINDOW_FLAGS_HSLIDER 0x00020000

#define GWEN_WINDOW_FLAGS_TITLE 0x00010000

#define GWEN_WINDOW_FLAGS_VSLIDER 0x00040000

## Function Documentation

GWEN_WIDGET* GWEN_Window_GetViewPort | ( | GWEN_WIDGET * | w | ) |

GWEN_WIDGET* GWEN_Window_new | ( | GWEN_WIDGET * | parent,
|  | GWEN_TYPE_UINT32 | flags,
|  | const char * | name,
|  | const char * | title,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height
| ) |